package com.fs.qw.mapper;

import com.fs.qw.domain.QwDrainageLinkLogs;

import java.util.List;

/**
 * 链接日志Mapper接口
 * 
 * @author fs
 * @date 2024-07-29
 */
public interface QwDrainageLinkLogsMapper 
{
    /**
     * 查询链接日志
     * 
     * @param id 链接日志主键
     * @return 链接日志
     */
    public QwDrainageLinkLogs selectQwDrainageLinkLogsById(Long id);

    /**
     * 查询链接日志列表
     * 
     * @param qwDrainageLinkLogs 链接日志
     * @return 链接日志集合
     */
    public List<QwDrainageLinkLogs> selectQwDrainageLinkLogsList(QwDrainageLinkLogs qwDrainageLinkLogs);

    /**
     * 新增链接日志
     * 
     * @param qwDrainageLinkLogs 链接日志
     * @return 结果
     */
    public int insertQwDrainageLinkLogs(QwDrainageLinkLogs qwDrainageLinkLogs);

    /**
     * 修改链接日志
     * 
     * @param qwDrainageLinkLogs 链接日志
     * @return 结果
     */
    public int updateQwDrainageLinkLogs(QwDrainageLinkLogs qwDrainageLinkLogs);

    /**
     * 删除链接日志
     * 
     * @param id 链接日志主键
     * @return 结果
     */
    public int deleteQwDrainageLinkLogsById(Long id);

    /**
     * 批量删除链接日志
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteQwDrainageLinkLogsByIds(Long[] ids);
}
